// Dear emacs, this is -*- c++ -*-
#ifndef TEMPLATEHANDLING_ELECTRON_H
#define TEMPLATEHANDLING_ELECTRON_H

namespace xAOD {

   /// Dummy electron class
   class Electron {

   public:
      /// Default constructor
      Electron() = default;

      /// The transverse momentum of the electron
      float pt() const;
      /// Set the transverse momentum of the electron
      void setPt( float value );

   private:
      /// The transverse momentum of the electron
      float m_pt = 0.0;

   }; // class Electron

} // namespace xAOD

#endif // TEMPLATEHANDLING_ELECTRON_H
